aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorRich Ercolani <[email protected]>2021-12-17 15:39:10 -0500
committerTony Hutter <[email protected]>2022-02-10 11:04:57 -0800
commitd4794c820486dd8475101e727d7da7d24da73472 (patch)
tree0d24e9c3a31fa77bec6fad7acb6111e1d962acbb /tests
parent29e05d5345d456e4434a6ffc16483a0fc0ba0cbd (diff)
ZTS: Avoid piping send directly to /dev/null
Unfortunately, #11445 means while we fail gracefully now, we still fail, unless people want to implement a complex workaround just to support /dev/null. So let's just use the cheap workaround in a test for now. Reviewed-by: Brian Behlendorf <[email protected]> Reviewed-by: John Kennedy <[email protected]> Signed-off-by: Rich Ercolani <[email protected]> Closes #12872
Diffstat (limited to 'tests')
-rwxr-xr-xtests/zfs-tests/tests/functional/history/history_006_neg.ksh4
1 files changed, 3 insertions, 1 deletions
diff --git a/tests/zfs-tests/tests/functional/history/history_006_neg.ksh b/tests/zfs-tests/tests/functional/history/history_006_neg.ksh
index 19b7114fa..c3a5e092d 100755
--- a/tests/zfs-tests/tests/functional/history/history_006_neg.ksh
+++ b/tests/zfs-tests/tests/functional/history/history_006_neg.ksh
@@ -75,7 +75,9 @@ if ! is_linux; then
log_must zfs share $fs
log_must zfs unshare $fs
fi
-log_must zfs send -i $snap1 $snap2 > /dev/null
+# https://github.com/openzfs/zfs/issues/11445
+set -o pipefail
+log_must zfs send -i $snap1 $snap2 | cat > /dev/null
log_must zfs holds $snap1
log_must eval "zpool history $TESTPOOL > $NEW_HISTORY"